For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
      • POSTStart a conversation over Ada's email channel
      • POSTCreate a new conversation
      • GETGet a conversation
      • PATCHUpdate a conversation
      • GETGet conversation messages
      • POSTCreate a new message
      • POSTEnd a conversation
      • POSTEnd Handoff
      • POSTUpload a file attachment
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
ConversationsConversations

Get conversation messages

GET
https://example.ada.support/api/v2/conversations/:conversation_id/messages/
GET
/api/v2/conversations/:conversation_id/messages/
1import requests
2
3url = "https://example.ada.support/api/v2/conversations/conversation_id/messages/"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "data": [
3 {
4 "type": "message_logs",
5 "message_id": "6900e297d458517e4b15787d",
6 "created_at": "2025-10-28T15:34:41+00:00",
7 "author": {
8 "role": "ai_agent",
9 "id": {},
10 "display_name": {},
11 "avatar": {}
12 },
13 "content": {
14 "type": "text",
15 "body": "Hello! I'm an AI Agent, here to assist with any questions you may have."
16 }
17 },
18 {
19 "type": "message_logs",
20 "message_id": "6900e299d458517e4b157881",
21 "created_at": "2025-10-28T15:34:49+00:00",
22 "author": {
23 "id": "6900e28ff6f931ca8672f6dd",
24 "role": "end_user",
25 "display_name": {},
26 "avatar": {}
27 },
28 "content": {
29 "type": "text",
30 "body": "this is just a test"
31 }
32 },
33 {
34 "type": "message_logs",
35 "message_id": "6900e2a2d458517e4b157887",
36 "created_at": "2025-10-28T15:35:05+00:00",
37 "author": {
38 "role": "ai_agent",
39 "id": {},
40 "display_name": {},
41 "avatar": {}
42 },
43 "content": {
44 "type": "link",
45 "url": "https://example.com/csat?conversation_id=123",
46 "link_text": "Rate your experience"
47 }
48 }
49 ],
50 "meta": {
51 "next_page_url": "https://example.ada.support/api/v2/api-name?cursor=6658f91ea88ff7e389eff34d"
52 }
53}

Get messages (paginated) for a conversation by its ID

Was this page helpful?
Previous

Create a new message

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

conversation_idstringRequiredformat: "id"
The ID of the conversation

Query parameters

cursorstringOptional

Cursor for pagination. Use the value from meta.next_page_url in the previous response.

limitintegerOptional1-100Defaults to 100

Maximum number of messages to return (default 100, max 100)

Response

List of messages
datalist of objects
List of messages in the conversation
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error